nand_write
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_write — [MTD Interface] NAND write with ECC

## Synopsis

`int nand_write (` | struct mtd_info * | mtd,
| loff_t | to,
| size_t | len,
| size_t * | retlen,
| const uint8_t * | buf`)`;

## Arguments

`mtd`

  MTD device structure

`to`

  offset to write to

`len`

  number of bytes to write

`retlen`

  pointer to variable to store the number of written bytes

`buf`

  the data to write

## Description

NAND write with ECC

Prev | Up | Next
nand_do_write_ops | Home | nand_do_write_oob